import { Vue, Component } from 'vue-property-decorator';
import { FormValidator, FormValidatorModel  } from '@syncfusion/ej2-vue-inputs';

@Component
export default class Login extends Vue {
    private pseudo: string;
    private password: string;
    private options: FormValidatorModel = {};

    constructor() {
        super();
        this.pseudo = '';
        this.password = '';
    }

    private mounted() {
        this.options.customPlacement = (inputElement: any, errorElement: any) => {
            inputElement = inputElement.closest('.form-group').querySelector('.pseudoError');
            inputElement.parentElement.appendChild(errorElement);
        };
        this.options.rules = {
            Pseudo: {
                required: true,
                regex: ['^[a-zA-Z]+', '* Enter alphabetic characters only'] // If you wnat to give the error mesaage, you need to provide as the separate key value pair.
            }
        };
        const formObject = new FormValidator('#login-form', this.options);
        console.log(formObject);
        // formObject.validate();
    }
}